SoShadowStyleElement(3)

NAME
SoShadowStyleElement - The SoShadowStyleElement class is yet to be documented.

SYNOPSIS

#include <Inventor/annex/FXViz/elements/SoShadowStyleElement.h>

Inherits SoInt32Element.

  Public Types
enum StyleFlags { NO_SHADOWING = 0x0, CASTS_SHADOW = 0x1, SHADOWED = 0x2, CASTS_SHADOW_AND_SHADOWED = CASTS_SHADOW|SHADOWED }

  Public Member Functions
virtual void init (SoState *state)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const int styleflags)
FIXME: write doc.
static void set (SoState *const state, const int styleflags)
FIXME: write doc.
static int get (SoState *const state)
FIXME: write doc.
static int getDefault (void)
FIXME: write doc.

  Protected Member Functions
virtual ~SoShadowStyleElement ()

  Additional Inherited Members

Detailed Description

The SoShadowStyleElement class is yet to be documented. FIXME: write doc.

Since
    Coin 2.5

Constructor & Destructor Documentation

  SoShadowStyleElement::~SoShadowStyleElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoShadowStyleElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoShadowStyleElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoShadowStyleElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoShadowStyleElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoShadowStyleElement::init (SoState * state) [virtual]
Initializes the element to its default value. The default value is SoShadowStyleElement::CASTS_SHADOW_AND_SHADOWED.

Reimplemented from SoInt32Element.

Author

Generated automatically by Doxygen for Coin from the source code.